> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# YouTube Categories

> Retrieve YouTube category IDs for a region by country code. Only categories marked assignable can be set in the POST or PATCH /post endpoints.

Retrieve the YouTube categories ids for a given region. The category ID can be set in the POST or PATCH /post endpoints.

For example, `GET https://api.ayrshare.com/api/post/youtubeCategories/US` for the U.S. video categories.

> [!WARNING]
>
> YouTube only allows certainly categories to be assigned by a user.
> Only categories where assignable is `true` can be set in the POST or PATCH /post endpoints when creating a YouTube post.
>
> Other categories, which are not assignable and have `assignable: false`, will result in an error.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Path Parameters

**region** `string` *required*

Two letter [country code](https://www.ayrshare.com/docs/iso-codes/country.md) of the region.

```json 200: OK Retrieved Categories theme={"system"}
{
    "region": "US",
    "categories": [
        {
            "id": "1",
            "title": "Film & Animation",
            "assignable": true
        },
        {
            "id": "10",
            "title": "Music",
            "assignable": true
        },
        {
            "id": "15",
            "title": "Pets & Animals",
            "assignable": true
        },
        {
            "id": "17",
            "title": "Sports",
            "assignable": true
        },
        {
            "id": "18",
            "title": "Short Movies",
            "assignable": false
        },
        {
            "id": "19",
            "title": "Travel & Events",
            "assignable": true
        },
        {
            "id": "2",
            "title": "Autos & Vehicles",
            "assignable": true
        },
        {
            "id": "20",
            "title": "Gaming",
            "assignable": true
        },
        {
            "id": "21",
            "title": "Videoblogging",
            "assignable": false
        },
        {
            "id": "22",
            "title": "People & Blogs",
            "assignable": true
        },
        {
            "id": "23",
            "title": "Comedy",
            "assignable": true
        },
        {
            "id": "24",
            "title": "Entertainment",
            "assignable": true
        },
        {
            "id": "25",
            "title": "News & Politics",
            "assignable": true
        },
        {
            "id": "26",
            "title": "Howto & Style",
            "assignable": true
        },
        {
            "id": "27",
            "title": "Education",
            "assignable": true
        },
        {
            "id": "28",
            "title": "Science & Technology",
            "assignable": true
        },
        {
            "id": "29",
            "title": "Nonprofits & Activism",
            "assignable": true
        },
        {
            "id": "30",
            "title": "Movies",
            "assignable": false
        },
        {
            "id": "31",
            "title": "Anime/Animation",
            "assignable": false
        },
        {
            "id": "32",
            "title": "Action/Adventure",
            "assignable": false
        },
        {
            "id": "33",
            "title": "Classics",
            "assignable": false
        },
        {
            "id": "34",
            "title": "Comedy",
            "assignable": false
        },
        {
            "id": "35",
            "title": "Documentary",
            "assignable": false
        },
        {
            "id": "36",
            "title": "Drama",
            "assignable": false
        },
        {
            "id": "37",
            "title": "Family",
            "assignable": false
        },
        {
            "id": "38",
            "title": "Foreign",
            "assignable": false
        },
        {
            "id": "39",
            "title": "Horror",
            "assignable": false
        },
        {
            "id": "40",
            "title": "Sci-Fi/Fantasy",
            "assignable": false
        },
        {
            "id": "41",
            "title": "Thriller",
            "assignable": false
        },
        {
            "id": "42",
            "title": "Shorts",
            "assignable": false
        },
        {
            "id": "43",
            "title": "Shows",
            "assignable": false
        },
        {
            "id": "44",
            "title": "Trailers",
            "assignable": false
        }
    ]
}.
.
```

```json 400: Incorrect Region Code theme={"system"}
{
  "action": "request",
  "status": "error",
  "code": 101,
  "message": "Missing or incorrect parameters. Please verify with the docs. .../ayrshare.com/rest-api/endpoints"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.